
footer{
    height: 600px;
    width: 100%;
   
    
}


#map{
    width: 100%;
    height: 550px;
    overflow: clip;
}

#map img{
    height: 100%;
    width: 65%;
}


.footer-wrapper{
    
    width: 100%;
    background-color: rgb(255, 226, 206);
    
    height: 300px;
    display: grid;
    place-items: center;
 
    
    
}

.contact-us-cnt h2{
    padding-bottom: 60px;
    font-size: 1.7rem;
}

.contact-info-cnt{
    word-break:normal;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px,1fr));
    width: 80%;
    justify-content: space-evenly;
    align-items: center;
    grid-row-gap: 65px;
}


.social-cnt,
.phone-cnt,
.email-cnt{
    height: 100px;
    display: flex;
justify-content: center;
flex-direction: column;
align-items: center;
}



.contact-info-cnt p,
.contact-info-cnt h3{
    color: black;
}

.contact-info-cnt p{
    font-size:clamp(.7rem,1.1rem,2rem) ;
    padding: 5px;
    text-align: center;
}


.social-icons,.icons{
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    justify-content: space-around;
}

.icons{
padding-right: 5px;
}
.icons img{
    width:22px;
    height: 22px;
    }


.icons :nth-child(1)
,.icons :nth-child(2),
.icons :nth-child(3){
    border-radius: 5px;
    margin: 5px;
   
}

.icons :nth-child(1){
    background:#4267B2;
   
}

.icons :nth-child(2){
    background: linear-gradient(21deg, rgba(249,206,52,1) 0%, rgba(238,42,123,1) 35%, rgba(98,40,215,1) 100%);
}

.icons :nth-child(3){
    background: #25D366;
    
}

.icons :nth-child(1):hover,
.icons :nth-child(2):hover,
.icons :nth-child(3):hover{
    background:transparent ;
    transform: scale(1.1);
    transition: all .2s;
}


.icons-cnt{
    display:flex ;
}

.social-icons img {
    align-items: center;
}

@keyframes border{
    0%{width: 1px;}
    100%{width:100px;}
}

.contact-underline{
    position: relative;
}
.contact-underline::after{
    content: " ";
    position: absolute;
    left: 0;
    bottom: 0;
    height: 1px;
    width: 0px;
    background-color: #7FCDCD;
    transition: all .6s;
}

.contact-underline:hover::after{
    width: 100%;
    
}
@media (max-width:500px){
   .contact-info-cnt{
    text-align: center;
    
   }

   .footer-wrapper{
    height:500px;
    overflow: clip;
   
   }
   #map img{
    height: 100%;
    width: 140%;
  }
  .email-cnt{
    margin-top: 15px;
  }
}

@media (max-width:800px){
    .contact-info-cnt p{
        font-size: 1rem;
    }
}